<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$accountid = $database->get("accounts", ["[>]authkeys" => ["accountid"]], "accounts.accountid", ["key" => $VARS["key"]]);

if (!$database->has("merchant_transactions", ["AND" => ["txcode" => $VARS["txcode"], "merchantid" => $accountid]])) {
    sendJsonResp($Strings->get("Transaction does not exist.", false), "ERROR");
}

$transaction = $database->get("merchant_transactions", ["amount", "complete", "txcode"], ["txcode" => $VARS["txcode"]]);

exitWithJson([
    "status" => "OK",
    "txcode" => $transaction["txcode"],
    "amount" => $transaction["amount"],
    "complete" => $transaction["complete"] == true
]);